help to sign aab rev tool 2 0 highe

djzcreativedjzcreative Member, PRO Posts: 23

Hello, I have a problem with signatures and sdk, I do not know where to take the tools to sign my apps with sdk 28 or higher I used the tools rev 17 but now it is not good to google, does anyone know how to do? I develop android app. and wants AAB but how do I do?

Thank you

Comments

  • das.bearskidas.bearski Member, PRO Posts: 4

    I feel that my issue is similar to djzcreative.

    The Google Console is now asking for API 31. And the current publishing tool only goes to 30(sdk 28).

    Looking forward to replies.

  • das.bearskidas.bearski Member, PRO Posts: 4

    Your app currently targets API level 30 and must target at least API level 31 to ensure it is built on the latest APIs optimized for security and performance. Change your app's target API level to at least 31

    This is the error when uploading the aab file.

    Thanks guys,

  • djzcreativedjzcreative Member, PRO Posts: 23

    I try to configure the api 31 and see what happens, thank you very much

  • djzcreativedjzcreative Member, PRO Posts: 23
    edited August 20

    does not work gamesalad has maximum sdk 29 - the API must be minimum 31 how can I implement the API 31? I do not know how to do, suggestions? google rejects apps with gamesalad, the program so is useless and unusable? solutions besides using other software to make apps? thanks for the help

  • das.bearskidas.bearski Member, PRO Posts: 4

    Found the issue, you need to use the RC build.

  • djzcreativedjzcreative Member, PRO Posts: 23

    Hi das.bearski I try to create an RC build, and I see what I can get thanks for your answers.

  • djzcreativedjzcreative Member, PRO Posts: 23
    edited August 22

    I start by thanking das.bearski for his help, I created an RC build review with gamesalad, this generates sdk 31. signed with jarsigner and published on google console. Upon loading and after the verification of the revision everything seems to have been successful, I did not receive the sdk error. So for android, generate with gamesalad the RC build this solves the problem. I hope this will help someone else.

Sign In or Register to comment.